Package com.meterware.httpunit

# Interface HTMLElementPredicate

public interface HTMLElementPredicate
An interface which can be used to define matching criteria for an HTML element. It can be passed to methods such as WebRequest.getMatchingLink to define arbitrary matching criteria for web links.

Author:
  Russell Gold

## Method Summary

Modifier and Type
Method
Description
`boolean`
`matchesCriteria(Object htmlElement, Object criteria)`

## Method Details

### matchesCriteria

boolean matchesCriteria(Object htmlElement, Object criteria)